FLTK 1.3.8: Fl_Device_Plugin Class Reference

FLTK 1.3.8

Public Member Functions | List of all members
Fl_Device_Plugin Class Referenceabstract

This plugin socket allows the integration of new device drivers for special window or screen types. More...

`#include <Fl_Device.H>`

Inheritance diagram for Fl_Device_Plugin:

## Public Member Functions
| Fl_Device_Plugin (const char *pluginName)
| The constructor.
virtual const char * | klass ()
| Returns the class name.
virtual const char * | name ()=0
| Returns the plugin name.
virtual int | print (Fl_Widget *w, int x, int y, int height)=0
| Prints a widget. More...
Fl_RGB_Image * | rectangle_capture (Fl_Widget *widget, int x, int y, int w, int h)
| captures a rectangle of a widget as an image More...
Public Member Functions inherited from Fl_Plugin
| Fl_Plugin (const char *klass, const char *name)
| Create a plugin. More...
virtual | ~Fl_Plugin ()
| Clear the plugin and remove it from the database.

## Detailed Description

This plugin socket allows the integration of new device drivers for special window or screen types.

This class is not intended for use outside the FLTK library. It is currently used to provide an automated printing service and screen capture for OpenGL windows, if linked with fltk_gl.

## Member Function Documentation

## ◆ print()

virtual int Fl_Device_Plugin::print | ( | Fl_Widget * | w,
|  | int | x,
|  | int | y,
|  | int | height
| ) |  |
| pure virtual

Prints a widget.

Parameters

  w | the widget
  x,y | offsets where to print relatively to coordinates origin
  height | height of the current drawing area

## ◆ rectangle_capture()

Fl_RGB_Image * Fl_Device_Plugin::rectangle_capture | ( | Fl_Widget * | widget,
|  | int | x,
|  | int | y,
|  | int | w,
|  | int | h
| ) |  |
| inline

captures a rectangle of a widget as an image

Returns
  The captured pixels as an RGB image

The documentation for this class was generated from the following file:

- Fl_Device.H

- Copyright © 1998-2021 by Bill Spitzak and others.